Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jca.cci.connection
Class DelegatingConnectionFactory

    java.lang.Object
      org.springframework.jca.cci.connection.DelegatingConnectionFactory

All Implemented Interfaces:
  java.io.Serializable, javax.naming.Referenceable, javax.resource.cci.ConnectionFactory, InitializingBean

Direct Known Subclasses:
  ConnectionSpecConnectionFactoryAdapter, SingleConnectionFactory, TransactionAwareConnectionFactoryProxy

    public class DelegatingConnectionFactory

extends java.lang.Object
implements javax.resource.cci.ConnectionFactory, InitializingBean

CCI `ConnectionFactory` implementation that delegates all calls to a given target `ConnectionFactory`.

This class is meant to be subclassed, with subclasses overriding only those methods (such as `getConnection()`) that should not simply delegate to the target `ConnectionFactory`.

Since:
  1.2
Author:
  Juergen Hoeller
See Also:
  `getConnection()`, Serialized Form

Constructor Summary
`DelegatingConnectionFactory()`

Method Summary
`void` | `afterPropertiesSet()` Invoked by a BeanFactory after it has set all bean properties supplied (and satisfied BeanFactoryAware and ApplicationContextAware).
`javax.resource.cci.Connection` | `getConnection()`
`javax.resource.cci.Connection` | `getConnection(javax.resource.cci.ConnectionSpec connectionSpec)`
`javax.resource.cci.ResourceAdapterMetaData` | `getMetaData()`
`javax.resource.cci.RecordFactory` | `getRecordFactory()`
`javax.naming.Reference` | `getReference()`
`javax.resource.cci.ConnectionFactory` | `getTargetConnectionFactory()` Return the target ConnectionFactory that this ConnectionFactory should delegate to.
`void` | `setReference(javax.naming.Reference reference)`
`void` | `setTargetConnectionFactory(javax.resource.cci.ConnectionFactory targetConnectionFactory)` Set the target ConnectionFactory that this ConnectionFactory should delegate to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingConnectionFactory

    public DelegatingConnectionFactory()

Method Detail

### setTargetConnectionFactory

    public void setTargetConnectionFactory(javax.resource.cci.ConnectionFactory targetConnectionFactory)

  Set the target ConnectionFactory that this ConnectionFactory should delegate to.

### getTargetConnectionFactory

    public javax.resource.cci.ConnectionFactory getTargetConnectionFactory()

  Return the target ConnectionFactory that this ConnectionFactory should delegate to.

### afterPropertiesSet

    public void afterPropertiesSet()

  Description copied from interface: `InitializingBean`
  Invoked by a BeanFactory after it has set all bean properties supplied (and satisfied BeanFactoryAware and ApplicationContextAware).

  This method allows the bean instance to perform initialization only possible when all bean properties have been set and to throw an exception in the event of misconfiguration.

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`

### getConnection

    public javax.resource.cci.Connection getConnection()
                                                throws javax.resource.ResourceException

  Specified by:
    `getConnection` in interface `javax.resource.cci.ConnectionFactory`
  Throws:
    `javax.resource.ResourceException`

### getConnection

    public javax.resource.cci.Connection getConnection(javax.resource.cci.ConnectionSpec connectionSpec)
                                                throws javax.resource.ResourceException

  Specified by:
    `getConnection` in interface `javax.resource.cci.ConnectionFactory`
  Throws:
    `javax.resource.ResourceException`

### getRecordFactory

    public javax.resource.cci.RecordFactory getRecordFactory()
                                                      throws javax.resource.ResourceException

  Specified by:
    `getRecordFactory` in interface `javax.resource.cci.ConnectionFactory`
  Throws:
    `javax.resource.ResourceException`

### getMetaData

    public javax.resource.cci.ResourceAdapterMetaData getMetaData()
                                                           throws javax.resource.ResourceException

  Specified by:
    `getMetaData` in interface `javax.resource.cci.ConnectionFactory`
  Throws:
    `javax.resource.ResourceException`

### getReference

    public javax.naming.Reference getReference()
                                        throws javax.naming.NamingException

  Specified by:
    `getReference` in interface `javax.naming.Referenceable`
  Throws:
    `javax.naming.NamingException`

### setReference

    public void setReference(javax.naming.Reference reference)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD